package com.cultural.heritage.service.userinfo;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.User;
import com.cultural.heritage.model.vo.UserVO;
import jakarta.servlet.http.HttpServletRequest;

public interface UserService extends IService<User> {

    /**
     * 用户登录
     * @param userAccount 用户账户
     * @param userPassword 用户密码
     */
    UserVO userLogin(String userAccount, String userPassword, HttpServletRequest request);


    /**
     * 获取用户信息
     */
    UserVO getUserVO(User user);

    /**
     * 用户退出
     * @return 是否退出成功
     */
    boolean userLogout(HttpServletRequest request);
}
